Subject: Re: Machine hard lock

From: Martin Tessun <[email-masked]>
Date: Fri, 23 Dec 2005 08:59:27 +0100

Arnaldo Carvalho de Melo wrote:
> On 12/22/05, Michael Buesch <[email-masked]> wrote:
>> On Thursday 22 December 2005 18:49, Martin Tessun wrote:
>>> Johannes Berg wrote:
>>>> On Thu, 2005-12-22 at 17:51 +0100, Martin Tessun wrote:
>>>>
>>>>> At least you get them inserted ;) When I try to modprobe rate_control I
>>>>> get the following:
>>>> insmod 80211 first.
>>>>
>>>> johannes
>>> No, this ist not the problem.
>>> When inserting 80211 I get the same message;
>>>
>>> kernel: 80211: ieee80211_tx_packet_data is bigger than the skb->cb (48 >
>>> 40)
>>>
>>> And *this* is the real problem. The two structs don't match somehow.
>> You're on a 64bit machine.
>> Run a 32bit kernel, or wait a few weeks until this is fixed.
> 
> Or temporarily increase the size of struct sk_buff::cb from [40] to
> [48] if he wants to test other features present in this kernel release
> he is trying to compile.

Great. now it works ;) I can do some more tests now...
(Sometimes it is helpful to read the docs of tcp.h ;)

Thanks for that workaround.

Regards,
Martin